## lximage-qt 0.4.0%2B20160108

=== debian/changelog ===
lximage-qt (0.4.0+20160108-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.4.0+20160108. 
  * Removed outdated build dependency libfm-qt5-dev,
  * Added build dependencies libfm-qt-dev and libmenu-cache-dev. 
  * Bump Standards to 3.9.7
  * Changed the VCS-fields to https://
  * Fix Years in copyright
  * Enable hardening=+all

 -- Alf Gaida <agaida@siduction.org>  Sun, 07 Feb 2016 22:55:06 +0100

lximage-qt (0.4.0+20151117-2) unstable; urgency=medium

  * Remove dbg package in favor of dbgsym. 

 -- Alf Gaida <agaida@siduction.org>  Sat, 26 Dec 2015 17:26:11 +0100

lximage-qt (0.4.0+20151117-1) unstable; urgency=medium

  * Cherry-picked new upstream version 0.4.0+201511117.
  * Added lintian-overrride
  * Fixed VCS-Fields
  * Removed not used GPL2 from copyright

 -- Alf Gaida <agaida@siduction.org>  Thu, 19 Nov 2015 19:57:17 +0100

lximage-qt (0.4.0+20150828-2) unstable; urgency=medium

  * Add -fPIE -pie for lintian warning.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 22 Oct 2015 20:18:27 +0800

lximage-qt (0.4.0+20150828-1) unstable; urgency=medium

  * Initial release (Closes: #795802)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 24 Sep 2015 18:50:12 +0800

## lximage-qt 0.4.0+20151031

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.11)

project(lximage-qt)

include(GNUInstallDirs)

# additional cmake files
list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")

set(MAJOR_VERSION 0)
set(MINOR_VERSION 4)
set(PATCH_VERSION 0)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5PrintSupport REQUIRED QUIET)
find_package(Qt5X11Extras REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)
message(STATUS "Building with Qt ${Qt5Core_VERSION_STRING}")

find_package(PkgConfig REQUIRED)
pkg_check_modules(GLIB REQUIRED glib-2.0)

# FIXME: we'll need this to provide detail info for photos in the future
pkg_check_modules(EXIF REQUIRED libexif)

pkg_check_modules(LIBFM_QT REQUIRED libfm-qt5 libfm>=1.2)

# TODO: make the X11 stuff optional.
# for screenshot support
find_package(X11 REQUIRED)

# Xfixes is needed to capture the mouse cursor image
pkg_check_modules(XFIXES REQUIRED xfixes)

# add src subdirectory
add_subdirectory(src)

# install an icon for the application
install(
    FILES data/lximage-qt.png
    DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps"
)

# building tarball with CPack -------------------------------------------------
include(InstallRequiredSystemLibraries)
set(CPACK_PACKAGE_VERSION_MAJOR ${MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${PATCH_VERSION})
set(CPACK_GENERATOR TBZ2)
set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_IGNORE_FILES /build/;.gitignore;.*~;.git;.kdev4;temp)
include(CPack)

=== src/CMakeLists.txt ===
# set visibility to hidden to hide symbols, unlesss they're exporeted manually in the code
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_KEYWORDS -fno-exceptions")

include_directories(
    ${QTX_INCLUDE_DIRS}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GLIB_INCLUDE_DIRS}
    ${EXIF_INCLUDE_DIRS}
    ${LIBFM_QT_INCLUDE_DIRS}
    ${X11_INCLUDE_DIR}
    ${XFIXES_INCLUDE_DIRS}
)

# For some unknown reasons these are required for build on FreeBSD
link_directories(
    ${QT_LIBRARY_DIR}
    ${GLIB_LIBRARY_DIRS}
)

set(lximage-qt_SRCS
    lximage-qt.cpp
    mainwindow.cpp
    preferencesdialog.cpp
    application.cpp
    imageview.cpp
    modelfilter.cpp
    job.cpp
    loadimagejob.cpp
    saveimagejob.cpp
    screenshotdialog.cpp
    settings.cpp
)

qt5_add_dbus_adaptor(lximage-qt_SRCS
    org.lxde.LxImage.Application.xml
    application.h
    LxImage::Application
    applicationadaptor
    ApplicationAdaptor
)

set(lximage-qt_UIS
    mainwindow.ui
    preferencesdialog.ui
    screenshotdialog.ui
)
qt5_wrap_ui(lximage-qt_UI_H ${lximage-qt_UIS})

# add translation for lximage-qt
file(GLOB TS_FILES translations/*.ts)
option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files")
if(UPDATE_TRANSLATIONS)
    qt5_create_translation(QM_FILES ${lximage-qt_SRCS} ${lximage-qt_UI_H} ${TS_FILES})
else()
    qt5_add_translation(QM_FILES ${TS_FILES})
endif()

add_custom_target (lximage-qt_translations DEPENDS ${QM_FILES})
install(FILES ${QM_FILES} DESTINATION share/lximage-qt/translations)
# prevent the generated files from being deleted during make clean
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)

# process desktop entry files
include(LXQtTranslateDesktop)

file(GLOB desktop_files_in ../data/*.desktop.in)
lxqt_translate_desktop(desktop_files SOURCES ${desktop_files_in})
install(FILES ${desktop_files} DESTINATION share/applications)

add_executable(lximage-qt
    ${lximage-qt_SRCS}
    ${lximage-qt_UI_H}
    ${desktop_files}
    ${QM_FILES}
)

add_definitions(
    -DLXIMAGE_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/lximage-qt"
    -DLIBFM_QT_API=Q_DECL_IMPORT    # FIXME: This should be done in libfm-qt headers instead :-(
)

set(QT_LIBRARIES Qt5::Widgets Qt5::Core Qt5::DBus Qt5::PrintSupport Qt5::X11Extras)

target_link_libraries(lximage-qt
    ${QT_LIBRARIES}
    ${GLIB_LIBRARIES}
    ${EXIF_LIBRARIES}
    ${LIBFM_QT_LIBRARIES}
    ${X11_LIBRARIES}
    ${XFIXES_LIBRARIES}
)

install(TARGETS lximage-qt RUNTIME DESTINATION bin)

=== debian/changelog ===
lximage-qt (0.4.0+20151031-1) experimental; urgency=medium

  * Cherry-picking upstream version 0.4.0+20151031.
  * Fixed debian/copyright
  * Set minimum version for libfm-qt  

 -- Alf Gaida <agaida@siduction.org>  Sat, 31 Oct 2015 19:06:02 +0100

=== debian/control ===
Source: lximage-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake (>= 3.0.2),
               libexif-dev,
               libglib2.0-dev,
               libfm-dev,
               libfm-qt5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxfixes-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lximage-qt.git
Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lximage-qt.git
Homepage: https://github.com/lxde/lximage-qt

Package: lximage-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Image viewer for LXQt
 lximage-qt is a simple image viewer for LXQt.
 .
 This package contain the program files.

Package: lximage-qt-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lximage-qt (= ${binary:Version})
Description: Debug package for lximage-qt
 lximage-qt is a simple image viewer for LXQt.
 .
 This package contain debugging symbols.

## lximage-qt 0.4.0+20151117

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,8 @@
                qttools5-dev,
                qttools5-dev-tools
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lximage-qt.git
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lximage-qt.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lximage-qt.git/?h=debian/sid
+Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lximage-qt.git -b debian/sid
 Homepage: https://github.com/lxde/lximage-qt
 
 Package: lximage-qt
@@ -30,15 +30,3 @@
  lximage-qt is a simple image viewer for LXQt.
  .
  This package contain the program files.
-
-Package: lximage-qt-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         lximage-qt (= ${binary:Version})
-Description: Debug package for lximage-qt
- lximage-qt is a simple image viewer for LXQt.
- .
- This package contain debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND = -fPIE -pie
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake \
		--parallel \

## lximage-qt 0.4.0+20160108

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.0.2)
 
 project(lximage-qt)
 
@@ -10,25 +10,44 @@
 set(MAJOR_VERSION 0)
 set(MINOR_VERSION 4)
 set(PATCH_VERSION 0)
+set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 set(CMAKE_AUTOMOC ON)
+
+# C++ 11 support
+if (CMAKE_VERSION VERSION_LESS "3.1")
+    include(CheckCXXCompilerFlag)
+    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
+    if(COMPILER_SUPPORTS_CXX11)
+        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+    else()
+        CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
+        # -std=c++0x is deprecated but some tools e.g. qmake or older gcc are still using it
+        if(COMPILER_SUPPORTS_CXX0X)
+            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
+        else()
+            message(FATAL_ERROR "Compiler ${CMAKE_CXX_COMPILER} does not support c++11/c++0x")
+        endif()
+    endif()
+else()
+  set(CMAKE_CXX_STANDARD 11)
+endif()
+
 
 find_package(Qt5Widgets REQUIRED)
 find_package(Qt5DBus REQUIRED)
 find_package(Qt5PrintSupport REQUIRED QUIET)
 find_package(Qt5X11Extras REQUIRED QUIET)
 find_package(Qt5LinguistTools REQUIRED QUIET)
+find_package(fm-qt REQUIRED QUIET)
 message(STATUS "Building with Qt ${Qt5Core_VERSION_STRING}")
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(GLIB REQUIRED glib-2.0)
 
 # FIXME: we'll need this to provide detail info for photos in the future
 pkg_check_modules(EXIF REQUIRED libexif)
-
-pkg_check_modules(LIBFM_QT REQUIRED libfm-qt5 libfm>=1.2)
 
 # TODO: make the X11 stuff optional.
 # for screenshot support

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,7 @@
 # set visibility to hidden to hide symbols, unlesss they're exporeted manually in the code
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -DQT_NO_KEYWORDS -fno-exceptions")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-exceptions")
 
 include_directories(
-    ${QTX_INCLUDE_DIRS}
-    ${CMAKE_CURRENT_BINARY_DIR}
-    ${GLIB_INCLUDE_DIRS}
-    ${EXIF_INCLUDE_DIRS}
-    ${LIBFM_QT_INCLUDE_DIRS}
     ${X11_INCLUDE_DIR}
     ${XFIXES_INCLUDE_DIRS}
 )
@@ -76,16 +71,15 @@
 
 add_definitions(
     -DLXIMAGE_DATA_DIR="${CMAKE_INSTALL_PREFIX}/share/lximage-qt"
-    -DLIBFM_QT_API=Q_DECL_IMPORT    # FIXME: This should be done in libfm-qt headers instead :-(
+    -DLXIMAGE_VERSION="${LXIMAGE_VERSION}"
 )
 
 set(QT_LIBRARIES Qt5::Widgets Qt5::Core Qt5::DBus Qt5::PrintSupport Qt5::X11Extras)
 
 target_link_libraries(lximage-qt
+    fm-qt
     ${QT_LIBRARIES}
-    ${GLIB_LIBRARIES}
     ${EXIF_LIBRARIES}
-    ${LIBFM_QT_LIBRARIES}
     ${X11_LIBRARIES}
     ${XFIXES_LIBRARIES}
 )

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,17 @@
                libexif-dev,
                libglib2.0-dev,
                libfm-dev,
-               libfm-qt5-dev,
+               libfm-qt-dev,
+               libmenu-cache-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                libxfixes-dev,
                pkg-config,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-lxqt/lximage-qt.git/?h=debian/sid
-Vcs-Git: git://anonscm.debian.org/pkg-lxqt/lximage-qt.git -b debian/sid
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/lximage-qt.git/?h=debian/sid
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lximage-qt.git -b debian/sid
 Homepage: https://github.com/lxde/lximage-qt
 
 Package: lximage-qt

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem cmake \
		--parallel \

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lximage-qt/releases .*/([\d\.]+).tar.gz

## lximage-qt 0.5.0

=== debian/changelog ===
lximage-qt (0.5.0-4) unstable; urgency=medium

  * Fixes Recommends lxqtimage-qt-l10n to lximage-qt-l10n
    Thanks Armin Haas <armin@awawa.de> (Closes: #841426)

 -- Alf Gaida <agaida@siduction.org>  Thu, 20 Oct 2016 18:08:37 +0200

lximage-qt (0.5.0-3) unstable; urgency=medium

  * Cherry-picking upstream release 0.5.0.
  * Bumped Standards to 3.9.8, no changes needed 
  * Bumped compat to 10
  * Removed --parallel from rules, standard compat 10
  * Bumped minimum version debhelper (>= 10)
  * Bumped minimum version libfm-qt-dev (>= 0.11.1)
  * Added build dependency libkf5windowsystem-dev
  * Added build dependency liblxqt0-dev (>= 0.11.0)
  * Added build dependency libqt5svg5-dev
  * Added build dependency libqt5xdg-dev (>= 2.0.0)
  * Added Recommends lxqtimage-qt-l10n
  * Added Recommends qt5-image-formats-plugins 
  * Fixed copyrights Format field to https
  * Dropped patches, applied upstream
  * Added translation control to rules
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo
  * Exported LC_ALL=C.UTF-8, make builds reproducible  

 -- Alf Gaida <agaida@siduction.org>  Tue, 18 Oct 2016 21:40:48 +0200

lximage-qt (0.4.0+20160108-3) unstable; urgency=medium

  * Add missing patch from 0.4.0+20160108-2.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 25 Feb 2016 23:50:39 +0800

lximage-qt (0.4.0+20160108-2) unstable; urgency=medium

  [ Eduard Sanou ]
  * Fix misdetection as binary input in grep when LC_ALL=C

  [ ChangZhuo Chen (陳昌倬) ]
  * Merge patch from Eduard Sanou to make reproducible build
    (Closes: #815898).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 25 Feb 2016 23:18:22 +0800

=== debian/control ===
Source: lximage-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 10),
               cmake (>= 3.0.2),
               libexif-dev,
               libglib2.0-dev,
               libfm-dev,
               libfm-qt-dev (>= 0.11.1),
               libkf5windowsystem-dev,
               liblxqt0-dev (>= 0.11.0),
               libmenu-cache-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 2.0.0),
               libx11-dev,
               libxfixes-dev,
               pkg-config,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lximage-qt.git/?h=debian/sid
Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lximage-qt.git -b debian/sid
Homepage: https://github.com/lxde/lximage-qt

Package: lximage-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lximage-qt-l10n,
            qt5-image-formats-plugins
Description: Image viewer for LXQt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contain the program files.

## lximage-qt 0.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(lximage-qt)

include(GNUInstallDirs)

set(MAJOR_VERSION 0)
set(MINOR_VERSION 5)
set(PATCH_VERSION 1)
set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})

set(LXQTBT_MINIMUM_VERSION "0.3.0")

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

find_package(Qt5Widgets REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5PrintSupport REQUIRED QUIET)
find_package(Qt5X11Extras REQUIRED QUIET)
find_package(Qt5LinguistTools REQUIRED QUIET)
find_package(Qt5Svg REQUIRED QUIET)
find_package(fm-qt REQUIRED QUIET)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
message(STATUS "Building with Qt ${Qt5Core_VERSION_STRING}")

include(LXQtCompilerSettings NO_POLICY_SCOPE)

find_package(PkgConfig REQUIRED)

# FIXME: we'll need this to provide detail info for photos in the future
pkg_check_modules(EXIF REQUIRED libexif)

# TODO: make the X11 stuff optional.
# for screenshot support
find_package(X11 REQUIRED)

# Xfixes is needed to capture the mouse cursor image
pkg_check_modules(XFIXES REQUIRED xfixes)

# add src subdirectory
add_subdirectory(src)

# install an icon for the application
install(
    FILES data/lximage-qt.png
    DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps"
)

=== debian/changelog ===
lximage-qt (0.5.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.5.1.
  * Removed build dependencies:
    - cmake
    - liblxqt0-dev
    - libqt5xdg-dev
    - pkg-config
    - qttools5-dev
    - qttools5-dev-tools
  * Bumped minimum version libfm-qt-dev (>= 0.11.2)
  * Added build dependency lxqt-build-tools (>= 0.3.0)

 -- Alf Gaida <agaida@siduction.org>  Thu, 22 Dec 2016 02:59:30 +0100

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,17 @@
 Section: x11
 Priority: optional
 Build-Depends: debhelper (>= 10),
-               cmake (>= 3.0.2),
                libexif-dev,
                libglib2.0-dev,
                libfm-dev,
-               libfm-qt-dev (>= 0.11.1),
+               libfm-qt-dev (>= 0.11.2),
                libkf5windowsystem-dev,
-               liblxqt0-dev (>= 0.11.0),
                libmenu-cache-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libqt5xdg-dev (>= 2.0.0),
                libx11-dev,
                libxfixes-dev,
-               pkg-config,
-               qttools5-dev,
-               qttools5-dev-tools
+               lxqt-build-tools (>= 0.3.0)
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lximage-qt.git/?h=debian/sid
 Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lximage-qt.git -b debian/sid

## lximage-qt 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(lximage-qt)

include(GNUInstallDirs)

set(MAJOR_VERSION 0)
set(MINOR_VERSION 6)
set(PATCH_VERSION 0)
set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})

set(LXQTBT_MINIMUM_VERSION "0.4.0")

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

find_package(Qt5Widgets REQUIRED)
find_package(Qt5Network REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(Qt5PrintSupport REQUIRED)
find_package(Qt5X11Extras REQUIRED)
find_package(Qt5LinguistTools REQUIRED)
find_package(Qt5Svg REQUIRED)
find_package(fm-qt REQUIRED)
find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
find_package(Exif REQUIRED)
message(STATUS "Building with Qt ${Qt5Core_VERSION}")

include(LXQtCompilerSettings NO_POLICY_SCOPE)

# TODO: make the X11 stuff optional.
# for screenshot support
find_package(X11 REQUIRED)

find_package(PkgConfig REQUIRED)
# Xfixes is needed to capture the mouse cursor image
pkg_check_modules(XFIXES REQUIRED xfixes)

# add src subdirectory
add_subdirectory(src)

# install an icon for the application
install(
    FILES data/lximage-qt.png
    DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps"
)

=== src/CMakeLists.txt ===
include_directories(
    ${X11_INCLUDE_DIR}
    ${XFIXES_INCLUDE_DIRS}
)

# For some unknown reasons these are required for build on FreeBSD
link_directories(
    ${QT_LIBRARY_DIR}
    ${GLIB_LIBRARY_DIRS}
)

set(lximage-qt_SRCS
    lximage-qt.cpp
    mainwindow.cpp
    preferencesdialog.cpp
    application.cpp
    imageview.cpp
    modelfilter.cpp
    loadimagejob.cpp
    saveimagejob.cpp
    screenshotdialog.cpp
    screenshotselectarea.cpp
    screenshotselectareagraphicsview.cpp
    settings.cpp
    graphicsscene.cpp

    upload/imageshackprovider.cpp
    upload/imageshackupload.cpp
    upload/imgurprovider.cpp
    upload/imgurupload.cpp
    upload/provider.cpp
    upload/upload.cpp
    upload/uploaddialog.cpp
)

qt5_add_dbus_adaptor(lximage-qt_SRCS
    org.lxde.LxImage.Application.xml
    application.h
    LxImage::Application
    applicationadaptor
    ApplicationAdaptor
)

set(lximage-qt_UIS
    mainwindow.ui
    preferencesdialog.ui
    screenshotdialog.ui

    upload/uploaddialog.ui
)
qt5_wrap_ui(lximage-qt_UI_H ${lximage-qt_UIS})

# add translation for lximage-qt
include(LXQtTranslateTs)
lxqt_translate_ts(QM_FILES
    UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
    SOURCES
        ${lximage-qt_SRCS}
        ${lximage-qt_UIS}
    INSTALL_DIR
        "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
    PULL_TRANSLATIONS
        ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS
        ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO
        ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC
        ${TRANSLATIONS_REFSPEC}
)
# prevent the generated files from being deleted during make clean
set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)

# process desktop entry files
include(LXQtTranslateDesktop)

file(GLOB desktop_files_in ../data/*.desktop.in)
lxqt_translate_desktop(desktop_files SOURCES ${desktop_files_in})
install(FILES ${desktop_files} DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")

add_executable(lximage-qt
    ${lximage-qt_SRCS}
    ${lximage-qt_UI_H}
    ${desktop_files}
    ${QM_FILES}
)

add_definitions(
    -DLXIMAGE_DATA_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/lximage-qt"
    -DLXIMAGE_VERSION="${LXIMAGE_VERSION}"
)

set(QT_LIBRARIES Qt5::Widgets Qt5::Network Qt5::Core Qt5::DBus Qt5::PrintSupport Qt5::X11Extras Qt5::Svg)

target_link_libraries(lximage-qt
    fm-qt
    ${QT_LIBRARIES}
    ${EXIF_LIBRARIES}
    ${X11_LIBRARIES}
    ${XFIXES_LIBRARIES}
)

install(TARGETS lximage-qt RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== debian/changelog ===
lximage-qt (0.6.0-3) unstable; urgency=medium

  * Bumped Standards to 4.1.2
  * Removed branch from VCS fields
  * Removed debian/gbp.conf

 -- Alf Gaida <agaida@siduction.org>  Thu, 14 Dec 2017 17:28:58 +0100

lximage-qt (0.6.0-2) unstable; urgency=medium

  * Transition to unstable 

 -- Alf Gaida <agaida@siduction.org>  Mon, 04 Dec 2017 20:25:33 +0100

lximage-qt (0.6.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.6.0.
  * Switched to experimental
  * Bumped libfm-qt-dev to >=0.12.0
  * Bumped build-tools to >= 0.4.0
  * Bumped Standards to 4.1.1
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Oct 2017 23:03:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
                libexif-dev,
                libglib2.0-dev,
                libfm-dev,
-               libfm-qt-dev (>= 0.11.2),
+               libfm-qt-dev (>= 0.12.0),
                libkf5windowsystem-dev,
                libmenu-cache-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                libxfixes-dev,
-               lxqt-build-tools (>= 0.3.0)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lximage-qt.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lximage-qt.git -b debian/sid
+               lxqt-build-tools (>= 0.4.0)
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/lximage-qt.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/lximage-qt.git
 Homepage: https://github.com/lxde/lximage-qt
 
 Package: lximage-qt

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxde/lximage-qt/releases .*/lximage-qt-([\d\.]+).tar.xz

## lximage-qt 0.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,13 +4,14 @@
 include(GNUInstallDirs)
 
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 6)
+set(MINOR_VERSION 7)
 set(PATCH_VERSION 0)
 set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.4.0")
+set(LXQTBT_MINIMUM_VERSION "0.5.0")
 
 set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
@@ -26,6 +27,7 @@
 find_package(Exif REQUIRED)
 message(STATUS "Building with Qt ${Qt5Core_VERSION}")
 
+include(LXQtPreventInSourceBuilds)
 include(LXQtCompilerSettings NO_POLICY_SCOPE)
 
 # TODO: make the X11 stuff optional.

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,13 +33,15 @@
     upload/uploaddialog.cpp
 )
 
-qt5_add_dbus_adaptor(lximage-qt_SRCS
+qt5_add_dbus_adaptor(lximage-qt_DBUS_SRCS
     org.lxde.LxImage.Application.xml
     application.h
     LxImage::Application
     applicationadaptor
     ApplicationAdaptor
 )
+set_property(SOURCE ${lximage-qt_DBUS_SRCS} PROPERTY SKIP_AUTOGEN ON)
+list(APPEND lximage-qt_SRCS "${lximage-qt_DBUS_SRCS}")
 
 set(lximage-qt_UIS
     mainwindow.ui
@@ -48,7 +50,6 @@
 
     upload/uploaddialog.ui
 )
-qt5_wrap_ui(lximage-qt_UI_H ${lximage-qt_UIS})
 
 # add translation for lximage-qt
 include(LXQtTranslateTs)
@@ -80,7 +81,7 @@
 
 add_executable(lximage-qt
     ${lximage-qt_SRCS}
-    ${lximage-qt_UI_H}
+    ${lximage-qt_UIS}
     ${desktop_files}
     ${QM_FILES}
 )
@@ -88,6 +89,7 @@
 add_definitions(
     -DLXIMAGE_DATA_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/lximage-qt"
     -DLXIMAGE_VERSION="${LXIMAGE_VERSION}"
+    -DQT_NO_FOREACH
 )
 
 set(QT_LIBRARIES Qt5::Widgets Qt5::Network Qt5::Core Qt5::DBus Qt5::PrintSupport Qt5::X11Extras Qt5::Svg)

=== debian/changelog ===
lximage-qt (0.7.0-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:31:21 -0700

lximage-qt (0.7.0-2) unstable; urgency=medium

  * Switch to unstable
  * Bumped build dependency libfm-qt-def to >= 0.13.1~
  * Bumped Standards to 4.1.5, no changes  needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Jul 2018 13:20:23 +0200

lximage-qt (0.7.0-1) experimental; urgency=medium

  * Cherry-picking upstream release 0.7.0.
  * Removed build dependency libfm-dev
  * Removed build dependency libmenu-cache-dev
  * Bumped build dependency libfm-qt-def to >= 0.13.0~
  * Bumped build dependency lxqt-build-tools to >= 0.5.0~
  * Moved debian/.gitignore to ./.gitignore

 -- Alf Gaida <agaida@siduction.org>  Fri, 25 May 2018 19:36:29 +0200

lximage-qt (0.6.0-4) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped years in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 12:36:49 +0200

=== debian/control ===
Source: lximage-qt
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               libexif-dev,
               libfm-qt-dev (>= 0.13.1~),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxfixes-dev,
               lxqt-build-tools (>= 0.5.0~)
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/lxqt-team/lximage-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/lximage-qt.git
Homepage: https://github.com/lxqt/lximage-qt

Package: lximage-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lximage-qt-l10n,
            qt5-image-formats-plugins
Description: Image viewer for LXQt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contain the program files.

## lximage-qt 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,37 @@
-cmake_minimum_required(VERSION 3.0.2)
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(lximage-qt)
 
 include(GNUInstallDirs)
 
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 7)
+set(MINOR_VERSION 14)
 set(PATCH_VERSION 0)
 set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.5.0")
+set(LXQTBT_MINIMUM_VERSION "0.6.0")
+set(LIBFMQT_MINIMUM_VERSION "0.14.0")
+set(QT_MINIMUM_VERSION "5.7.1")
+
 
 set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTORCC ON)
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5Network REQUIRED)
-find_package(Qt5DBus REQUIRED)
-find_package(Qt5PrintSupport REQUIRED)
-find_package(Qt5X11Extras REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-find_package(Qt5Svg REQUIRED)
-find_package(fm-qt REQUIRED)
+find_package(Qt5Widgets ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Network ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5DBus ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5PrintSupport ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5X11Extras ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5LinguistTools ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(Qt5Svg ${QT_MINIMUM_VERSION} REQUIRED)
+find_package(fm-qt ${LIBFMQT_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
 find_package(Exif REQUIRED)
 message(STATUS "Building with Qt ${Qt5Core_VERSION}")

=== debian/changelog ===
lximage-qt (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Bumped minimum version libfm-qt-dev (>= 0.14.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 15:45:53 +0100

=== debian/control ===
Source: lximage-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libexif-dev,
               libfm-qt-dev (>= 0.14.0~),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxfixes-dev,
               lxqt-build-tools (>= 0.6.0~),
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lximage-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/lximage-qt.git
Homepage: https://github.com/lxqt/lximage-qt

Package: lximage-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lximage-qt-l10n,
            qt5-image-formats-plugins
Description: Image viewer for LXQt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contain the program files.

Package: lximage-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lximage-qt (<< 0.5.0)
Replaces: lximage-qt (<< 0.5.0)
Description: Language-package for lximage-qt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contains the l10n files needed by the lximage-qt.

## lximage-qt 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,11 +10,11 @@
 
 set(MAJOR_VERSION 0)
 set(MINOR_VERSION 14)
-set(PATCH_VERSION 0)
+set(PATCH_VERSION 1)
 set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
 set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(LIBFMQT_MINIMUM_VERSION "0.14.0")
+set(LIBFMQT_MINIMUM_VERSION "0.14.1")
 set(QT_MINIMUM_VERSION "5.7.1")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -23,14 +23,19 @@
     screenshotselectareagraphicsview.cpp
     settings.cpp
     graphicsscene.cpp
+    mrumenu.cpp
 
     upload/imageshackprovider.cpp
     upload/imageshackupload.cpp
+    upload/imgbbprovider.cpp
+    upload/imgbbupload.cpp
     upload/imgurprovider.cpp
     upload/imgurupload.cpp
     upload/provider.cpp
     upload/upload.cpp
     upload/uploaddialog.cpp
+
+    resource.qrc
 )
 
 qt5_add_dbus_adaptor(lximage-qt_DBUS_SRCS
@@ -60,15 +65,8 @@
         ${lximage-qt_UIS}
     INSTALL_DIR
         "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations"
-    PULL_TRANSLATIONS
-        ${PULL_TRANSLATIONS}
-    CLEAN_TRANSLATIONS
-        ${CLEAN_TRANSLATIONS}
-    TRANSLATIONS_REPO
-        ${TRANSLATIONS_REPO}
-    TRANSLATIONS_REFSPEC
-        ${TRANSLATIONS_REFSPEC}
 )
+
 # prevent the generated files from being deleted during make clean
 set_directory_properties(PROPERTIES CLEAN_NO_CUSTOM true)
 
@@ -89,7 +87,6 @@
 add_definitions(
     -DLXIMAGE_DATA_DIR="${CMAKE_INSTALL_FULL_DATAROOTDIR}/lximage-qt"
     -DLXIMAGE_VERSION="${LXIMAGE_VERSION}"
-    -DQT_NO_FOREACH
 )
 
 set(QT_LIBRARIES Qt5::Widgets Qt5::Network Qt5::Core Qt5::DBus Qt5::PrintSupport Qt5::X11Extras Qt5::Svg)
@@ -99,7 +96,7 @@
     ${QT_LIBRARIES}
     ${EXIF_LIBRARIES}
     ${X11_LIBRARIES}
-    ${XFIXES_LIBRARIES}
+    ${XFIXES_LDFLAGS}
 )
 
 install(TARGETS lximage-qt RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== src/translations/CMakeLists.txt ===
project(lximage-qt)

build_component("." "${CMAKE_INSTALL_FULL_DATADIR}/lximage-qt/translations")

=== debian/changelog ===
lximage-qt (0.14.1-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:48:36 +0100

lximage-qt (0.14.1-1ubuntu1) disco; urgency=medium

  * Lubuntuify the packaging.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 08 Mar 2019 10:59:35 -0600

lximage-qt (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream release 0.14.1.
  * Bumped minimum version libfm-qt-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 01:15:27 +0100

=== debian/control ===
Source: lximage-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libexif-dev,
               libfm-qt-dev (>= 0.14.1~),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxfixes-dev,
               lxqt-build-tools (>= 0.6.0~)
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-panel/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-panel.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lximage-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lximage-qt.git
Homepage: https://github.com/lxqt/lximage-qt

Package: lximage-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lximage-qt-l10n, qt5-image-formats-plugins
Description: Image viewer for LXQt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contain the program files.

Package: lximage-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lximage-qt (<< 0.5.0)
Replaces: lximage-qt (<< 0.5.0)
Description: Language-package for lximage-qt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contains the l10n files needed by the lximage-qt.

## lximage-qt 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,13 @@
 include(GNUInstallDirs)
 
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 14)
-set(PATCH_VERSION 1)
+set(MINOR_VERSION 15)
+set(PATCH_VERSION 0)
 set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
-set(LIBFMQT_MINIMUM_VERSION "0.14.1")
-set(QT_MINIMUM_VERSION "5.7.1")
+set(LXQTBT_MINIMUM_VERSION "0.7.0")
+set(LIBFMQT_MINIMUM_VERSION "0.15.0")
+set(QT_MINIMUM_VERSION "5.10.0")
 
 
 set(CMAKE_AUTOMOC ON)

=== debian/changelog ===
lximage-qt (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build dependencies.
  * Update Standards-version to 4.5.0, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 00:47:42 -0500

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                libexif-dev,
-               libfm-qt-dev (>= 0.14.1~),
+               libfm-qt-dev (>= 0.15.0),
                libkf5windowsystem-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                libxfixes-dev,
-               lxqt-build-tools (>= 0.6.0~)
-Standards-Version: 4.3.0
+               lxqt-build-tools (>= 0.7.0)
+Standards-Version: 4.5.0
 Vcs-Browser: https://phab.lubuntu.me/source/lxqt-panel/
 Vcs-Git: https://phab.lubuntu.me/source/lxqt-panel.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lximage-qt

## lximage-qt 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,13 +9,13 @@
 include(GNUInstallDirs)
 
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 15)
+set(MINOR_VERSION 16)
 set(PATCH_VERSION 0)
 set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.7.0")
-set(LIBFMQT_MINIMUM_VERSION "0.15.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
+set(LIBFMQT_MINIMUM_VERSION "0.16.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 
 
 set(CMAKE_AUTOMOC ON)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,12 +18,14 @@
     modelfilter.cpp
     loadimagejob.cpp
     saveimagejob.cpp
+    resizeimagedialog.cpp
     screenshotdialog.cpp
     screenshotselectarea.cpp
     screenshotselectareagraphicsview.cpp
     settings.cpp
     graphicsscene.cpp
     mrumenu.cpp
+    statusbar.cpp
 
     upload/imageshackprovider.cpp
     upload/imageshackupload.cpp
@@ -51,6 +53,7 @@
 set(lximage-qt_UIS
     mainwindow.ui
     preferencesdialog.ui
+    resizeimagedialog.ui
     screenshotdialog.ui
 
     upload/uploaddialog.ui

=== debian/changelog ===
lximage-qt (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #978178)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 18:12:17 +0800

=== debian/control ===
Source: lximage-qt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libexif-dev,
               libfm-qt-dev (>= 0.16.0~),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxfixes-dev,
               lxqt-build-tools (>= 0.8.0~),
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lximage-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/lximage-qt.git
Homepage: https://github.com/lxqt/lximage-qt

Package: lximage-qt
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: lximage-qt-l10n,
            qt5-image-formats-plugins
Description: Image viewer for LXQt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contain the program files.

Package: lximage-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lximage-qt (<< 0.5.0)
Replaces: lximage-qt (<< 0.5.0)
Description: Language-package for lximage-qt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contains the l10n files needed by the lximage-qt.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lximage-qt/releases .*/lximage-qt-([\d\.]+).tar.xz

## lximage-qt 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,12 @@
 include(GNUInstallDirs)
 
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 16)
+set(MINOR_VERSION 17)
 set(PATCH_VERSION 0)
 set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.8.0")
-set(LIBFMQT_MINIMUM_VERSION "0.16.0")
+set(LXQTBT_MINIMUM_VERSION "0.9.0")
+set(LIBFMQT_MINIMUM_VERSION "0.17.0")
 set(QT_MINIMUM_VERSION "5.12.0")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -77,7 +77,7 @@
 include(LXQtTranslateDesktop)
 
 file(GLOB desktop_files_in ../data/*.desktop.in)
-lxqt_translate_desktop(desktop_files SOURCES ${desktop_files_in})
+lxqt_translate_desktop(desktop_files SOURCES ${desktop_files_in} USE_YAML)
 install(FILES ${desktop_files} DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/applications")
 
 add_executable(lximage-qt

=== debian/changelog ===
lximage-qt (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use lxqt-build-tools 0.9.0
    - Use libfm-qt-dev 0.17.1
  * Rename tag for lintian override

 -- apt-ghetto <apt-ghetto@protonmail.com>  Wed, 11 Aug 2021 16:38:52 +0200

lximage-qt (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Bump debhelper-compat requirement  to 13.

 -- Raman Sarda <theloudspeaker@disroot.org>  Sun, 21 Feb 2021 21:12:59 +0530

=== debian/control ===
Source: lximage-qt
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libfm-qt-dev (>= 0.17.1),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxfixes-dev,
               lxqt-build-tools (>= 0.9.0)
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-panel/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-panel.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lximage-qt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lximage-qt.git
Homepage: https://github.com/lxqt/lximage-qt

Package: lximage-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lximage-qt-l10n, qt5-image-formats-plugins
Description: Image viewer for LXQt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contain the program files.

Package: lximage-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lximage-qt (<< 0.5.0)
Replaces: lximage-qt (<< 0.5.0)
Description: Language-package for lximage-qt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contains the l10n files needed by the lximage-qt.

## lximage-qt 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,14 +8,14 @@
 
 include(GNUInstallDirs)
 
-set(MAJOR_VERSION 0)
-set(MINOR_VERSION 17)
+set(MAJOR_VERSION 1)
+set(MINOR_VERSION 1)
 set(PATCH_VERSION 0)
 set(LXIMAGE_VERSION ${MAJOR_VERSION}.${MINOR_VERSION}.${PATCH_VERSION})
 
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
-set(LIBFMQT_MINIMUM_VERSION "0.17.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQTBT_MINIMUM_VERSION "0.11.0")
+set(LIBFMQT_MINIMUM_VERSION "1.1.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 
 set(CMAKE_AUTOMOC ON)
@@ -50,9 +50,8 @@
 # add src subdirectory
 add_subdirectory(src)
 
-# install an icon for the application
-install(
-    FILES data/lximage-qt.png
-    DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps"
-)
-
+# install icon and metainfo for the application
+install(FILES data/lximage-qt.png
+    DESTINATION "${CMAKE_INSTALL_DATADIR}/icons/hicolor/48x48/apps")
+install(FILES data/lximage-qt.metainfo.xml
+    DESTINATION "${CMAKE_INSTALL_DATADIR}/metainfo")

=== debian/changelog ===
lximage-qt (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 30 Aug 2022 18:31:48 -0700

lximage-qt (1.1.0-1) experimental; urgency=medium

  [ S. 7 ]
  * New upstream release
  * Bumped Standards-Version to 4.6.0, no changes needed
  * Update debian/copyright

  [ Aaron Rainbolt ]
  * New upstream release.
  * Removed trailing whitespace from changelog.
  * Upstreamed packaging changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - lintian-overrides
    - lximage-qt.install
    - rules
    - upstream/*
    - patches directory

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 13 Jul 2022 19:06:28 -0500

=== debian/control ===
Source: lximage-qt
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libexif-dev,
               libfm-qt-dev (>= 1.1.0),
               libkf5windowsystem-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxfixes-dev,
               lxqt-build-tools (>= 0.11.0)
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lximage-qt
Vcs-Git: https://salsa.debian.org/lxqt-team/lximage-qt.git
Homepage: https://github.com/lxqt/lximage-qt
Rules-Requires-Root: no

Package: lximage-qt
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lximage-qt-l10n, qt5-image-formats-plugins
Description: Image viewer for LXQt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contain the program files.

Package: lximage-qt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language-package for lximage-qt
 A simple image viewer for LXQt. Additional file formats can be processed if
 one install qt5-image-formats-plugins.
 .
 This package contains the l10n files needed by the lximage-qt.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUPDATE_TRANSLATIONS=OFF\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo

# No dbgsym package:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
